#include "MenuTextLeft_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextLeft_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextLeft_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_left;
}

std::shared_ptr<Entity> CreateMenuTextLeft_Player2Keyboard()
{
	return std::make_shared<MenuTextLeft_Player2Keyboard>();
}


